﻿using System.Collections.Generic;
using System.Threading.Tasks;
using Blazorise.DataGrid;
using Microsoft.AspNetCore.Components;
using UserService.DatabaseLayer.Repository;
using UserService.Infrastructure.DataModels;

namespace UserService.Pages
{
    public class SecurityGroupsBase : MembersBase<SecurityGroup>
    {
        [Inject] private ISecurityGroupsRepository SecurityGroupsRepository { get; set; } = null!;
        [Inject] private IOrganizationUnitsRepository OrganizationUnitsRepository { get; set; } = null!;

        protected override async Task OnInitializedAsync()
        {
            Members = await SecurityGroupsRepository.GetAllAsync().ConfigureAwait(false);
            OrganizationUnits = await OrganizationUnitsRepository.GetAllAsync().ConfigureAwait(false);
        }

        /// <inheritdoc />
        protected override async Task RowInsertingCallback(CancellableRowChange<SecurityGroup, Dictionary<string, object>> arg)
        {
        }

        /// <inheritdoc />
        protected override async Task RowInsertedCallback(SavedRowItem<SecurityGroup, Dictionary<string, object>> arg)
        {
        }

        /// <inheritdoc />
        protected override async Task RowDeletingCallback(CancellableRowChange<SecurityGroup> arg)
        {
            
            
        }

        /// <inheritdoc />
        protected override async Task RowUpdatingCallback(CancellableRowChange<SecurityGroup, Dictionary<string, object>> arg)
        {
        }

        /// <inheritdoc />
        protected override bool OnCustomFilter(SecurityGroup model)
        {
            return true;
        }
    }
}